## ktp-common-internals 15.08.2

=== CMakeLists.txt ===
project(ktp-common-internals)

cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)

find_package(ECM 1.7.0 REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH
     "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules"
     ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR}
)
cmake_policy(SET CMP0002 OLD)

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "15")
set (KDE_APPLICATIONS_VERSION_MINOR "08")
set (KDE_APPLICATIONS_VERSION_MICRO "2")

# Bump for every 0.x release, or whenever BC changes
set (KTP_SONUMBER 9) # SO 9 is for 15.08 release
set (KTP_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
set (KTP_MESSAGE_FILTER_FRAMEWORK_VERSION "5")

find_package (Qt5 REQUIRED CONFIG COMPONENTS
              Qml
              Test)

find_package (KF5 5.11 REQUIRED COMPONENTS
              CoreAddons
              Notifications
              KIO
              WidgetsAddons
              KCMUtils
              NotifyConfig
              TextEditor
              Wallet
              Config
              WindowSystem
              IconThemes
              People)

set(REQUIRED_TPQT_VERSION 0.9.5)

find_package (TelepathyQt5 ${REQUIRED_TPQT_VERSION} REQUIRED)
find_package (TelepathyQt5Service ${REQUIRED_TPQT_VERSION} REQUIRED) #used for the otr-proxy
find_package (TelepathyLoggerQt)

find_package (KAccounts)
find_package (AccountsQt5 1.10 CONFIG)
find_package (SignOnQt5 8.55 CONFIG)
find_package (LibOTR 4.0.0)
find_package (Libgcrypt)
find_package (telepathy-accounts-signon)

if (LIBOTR_FOUND AND LIBGCRYPT_FOUND)
    set(OTR_LIBS_FOUND TRUE)
endif ()

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMMarkNonGuiExecutable)
include(ECMPackageConfigHelpers)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(WriteBasicConfigVersionFile)
include(CheckIncludeFiles)
include(FeatureSummary)

set_package_properties(KF5People PROPERTIES DESCRIPTION "Support for KDE Contact Aggregation"
                       URL "https://projects.kde.org/libkpeople"
                       TYPE OPTIONAL
                      )
set_package_properties(TelepathyLoggerQt PROPERTIES DESCRIPTION "Qt bindings for TelepathyLogger. This is needed to provide access to chat logs. HIGHLY recommended"
                       URL "http://projects.kde.org/telepathy-logger-qt"
                       TYPE OPTIONAL
                      )
set_package_properties(LibOTR PROPERTIES DESCRIPTION "Required for OTR support" TYPE OPTIONAL)
set_package_properties(Libgcrypt PROPERTIES DESCRIPTION "Required for OTR support" TYPE OPTIONAL)

set_package_properties(telepathy-accounts-signon PROPERTIES
                       PURPOSE "Runtime-only dependency on a Telepathy Mission Control plugin, currently residing at https://gitlab.com/accounts-sso/telepathy-accounts-signon"
                       TYPE RUNTIME
                      )

add_definitions(-DKTP_MESSAGE_FILTER_FRAMEWORK_VERSION=\"${KTP_MESSAGE_FILTER_FRAMEWORK_VERSION}\")
add_definitions(-DTRANSLATION_DOMAIN=\"ktp-common-internals\")
add_definitions (
                 -DQT_NO_CAST_FROM_ASCII
                 -DQT_NO_KEYWORDS
                 -std=c++11
)

include_directories (
                     ${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
)

if (KF5People_FOUND)
    add_definitions(-DHAVE_KPEOPLE)
    add_subdirectory(kpeople)
endif ()

#If we find KAccounts library, build the plugin for it
if (KAccounts_FOUND AND AccountsQt5_FOUND AND SignOnQt5_FOUND)
    include_directories(${ACCOUNTSQT_INCLUDE_DIRS} ${SIGNONQT_INCLUDE_DIRS})
    add_subdirectory(kaccounts)
endif ()

ecm_setup_version(${KTP_VERSION} VARIABLE_PREFIX KTP
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ktp_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KTpConfigVersion.cmake"
                        SOVERSION ${KTP_SONUMBER})

add_subdirectory(KTp)
add_subdirectory(tools)
add_subdirectory(data)
add_subdirectory(tests)

if (OTR_LIBS_FOUND)
    include_directories (${LIBOTR_INCLUDE_DIR}
                         ${LIBGCRYPT_INCLUDE_DIR}
    )
    add_subdirectory(otr-proxy)
endif (OTR_LIBS_FOUND)

set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KTp")

ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KTpConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KTpConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KTpConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KTpConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KTpTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KTpTargets.cmake NAMESPACE KTp:: COMPONENT Devel)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
ktp-common-internals (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:50:12 +0100

ktp-common-internals (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:31:01 +0100

ktp-common-internals (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:41:39 +0100

ktp-common-internals (4:15.07.90-0ubuntu1) wily; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update symbols files: mark symbols gone after building with GCC 5 as
    optional

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 11:17:51 +0100

ktp-common-internals (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Backport to vivid. 
  * Fix libtelepathy-qt5-dev  version req. 
  * otr requires telepathy-qt5 > 0.9.5 

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:28:40 +0200

ktp-common-internals (4:15.04.1-0ubuntu1) UNRELEASED; urgency=medium

  [ Harald Sitter ]
  * KDE Frameworks 5 port
    + rename lib packages for sobump
    + rename -dev package to libktp-dev to match the cmake config one
      would be looking for. Also it contains more than one library anyway.
    + rename -dbg to libktp-dbg to align with the dev and also because it
      affects more than one lib
      + Add all library packages as possibly depends for the dbg package. Any
        one of them may be neeeded depending on the app one wants to debug.
    + Remove kde-telepathy-kpeople for now as kpeople is not released.
    + Rename kde-telepathy-declarative to qml-module-org-kde-telepathy to
      align with the implicit naming policy for qml modules in Qt5 (no
      conflicts)
    + Update watch file. The source now is released as part of applications.

  [ Scarlett Clark ]
  * New upstream release
  * This needs libtelepathy-logger-qt5-dev it is a kf5 app. 
  * Remove the non existant version dep for above. 
  * Try libtelepthy-logger-qt-dev again. 
  * OTR requires telepathy-qt5 >= 0.9.5 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 27 May 2015 09:06:11 -0700

=== debian/control ===
Source: ktp-common-internals
Priority: optional
Maintainer: Debian/Kubuntu KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               doxygen,
               extra-cmake-modules,
               gettext,
               kio-dev,
               libaccounts-qt5-dev,
               libkaccounts-dev,
               libkf5attica-dev,
               libkf5auth-dev,
               libkf5bookmarks-dev,
               libkf5codecs-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5globalaccel-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5jobwidgets-dev,
               libkf5kcmutils-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5parts-dev,
               libkf5people-dev,
               libkf5service-dev,
               libkf5solid-dev,
               libkf5sonnet-dev,
               libkf5texteditor-dev,
               libkf5textwidgets-dev,
               libkf5wallet-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libotr5-dev,
               libtelepathy-logger-qt-dev,
               libtelepathy-qt5-dev (>= 0.9.5),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev,
               qtdeclarative5-dev
Standards-Version: 3.9.6
Section: libs
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-common-internals
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/ktp-common-internals.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/ktp-common-internals.git

Package: libktp-dev
Section: libdevel
Architecture: any
Depends: libktpcommoninternals9 (= ${binary:Version}),
         libktplogger9 (= ${binary:Version}),
         libktpotr9 (= ${binary:Version}),
         libktpwidgets9 (= ${binary:Version}),
         libtelepathy-logger-qt-dev (>= 0.9.80),
         ${misc:Depends}
Breaks: libktpcommoninternalsprivate-dev (<< 15.03.80)
Replaces: libktpcommoninternalsprivate-dev (<< 15.03.80)
Description: KDE Telepathy internal library - Development headers
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This package contains development headers for
 the ktp-common-internals library.
 .
 You should not use this library for developing applications
 outside of the KDE Telepathy project umbrella. This package
 is only provided for compiling the rest of the components.

Package: kde-telepathy-kpeople
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kpeople plugins for kde-telepathy
 This allows grouping multiple IM accounts into meta-contacts.
 .
 This contains plugins to work with libkpeople.

Package: kde-telepathy-kaccounts
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kaccounts plugins for kde-telepathy
 This links kde telepathy to kaccounts and vice versa, allowing migrating
 settings from telepathy internal storage to a system-wide shared accounts
 management system.
 .
 This contains plugins to work with kaccounts.

Package: libktpcommoninternals9
Architecture: any
Depends: telepathy-accounts-signon, ${misc:Depends}, ${shlibs:Depends}
Recommends: kde-telepathy-kaccounts (= ${binary:Version}),
            kde-telepathy-kpeople (= ${binary:Version})
Description: KDE Telepathy common internal library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This contains the generic common components.

Package: libktpmodels9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy data models internal library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes Qt models.

Package: libktpwidgets9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy common internal widgets library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This also includes common widgets like the contact grid.

Package: libktplogger9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy internal logger library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes the shared KDE-Telepathy logger service.

Package: libktpotr9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ktp-proxy (<< 15.03.80+git20150312~), libktpotrprivate8 (<< 15.03.80)
Replaces: ktp-proxy (<< 15.03.80+git20150312~), libktpotrprivate8 (<< 15.03.80)
Description: KDE Telepathy internal OTR library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes components to support OTR

Package: qml-module-org-kde-telepathy
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kde-telepathy QtDeclarative QML support
 Contains a plugin for QtDeclarative that provides
 support for using KDE-Telepathy to components written
 in QML.

Package: kde-telepathy-data
Architecture: all
Depends: ${misc:Depends}
Description: Shared data for all the KDE Telepathy components
 KDE telepathy shared data.
 .
 This package contains various data files that are used by nearly all
 the different KDE Telepathy components.

Package: libktp-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libktpcommoninternals9 (= ${binary:Version}) | libktplogger9 (= ${binary:Version}) | libktpmodels9 (= ${binary:Version}) | libktpotr9 (= ${binary:Version}) | libktpwidgets9 (= ${binary:Version}),
         ${misc:Depends}
Description: KDE Telepathy internal library - debug symbols
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This package contains debugging symbols for the ktp-common-internals library.

Package: kde-telepathy-debugger
Architecture: any
Priority: extra
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Debugging tool for KDE Telepathy
 This package contains a GUI debugging tool which can be used to debug
 issues in Telepathy.
 .
 It will show the debugging messages from the various telepathy
 components.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libktp-dbg

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktp-common-internals-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/ktp-common-internals-([\d.]+).tar.xz

## ktp-common-internals 15.08.3

=== debian/changelog ===
ktp-common-internals (15.08.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * libktpcommoninternals9: Add Breaks: libktpcommoninternalsprivate7 to
    ensure smooth upgrade paths from jessie.  (Closes: #856599)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 21 Mar 2017 16:20:51 +0100

ktp-common-internals (15.08.3-1) unstable; urgency=medium

  * New upstream release.

 -- Diane Trout <diane@ghic.org>  Wed, 02 Dec 2015 21:18:53 -0800

ktp-common-internals (15.08.2-3) unstable; urgency=medium

  * Add kaccounts-integration dependes to libktpcommoninternals9

 -- Diane Trout <diane@ghic.org>  Tue, 10 Nov 2015 10:12:44 -0800

ktp-common-internals (15.08.2-2) unstable; urgency=medium

  * Update libktpcommoninternals9 qt logger dependency to
    libtelepathy-logger-qt5 (>= 15.04) (Closes: #804409)
  * Change Diane Trouts email address back. (ease of SPAM filtering)
  * Add telepathy-accounts-signon dependency to libktpcommoninternals9,
    which is needed to integrate with kaccounts system.
  * Confirm symbols on other architectures.

 -- Diane Trout <diane@ghic.org>  Mon, 09 Nov 2015 11:33:33 -0800

ktp-common-internals (15.08.2-1) unstable; urgency=medium

  * Apply homepage update patch from Matthew Cope
  * Update Diane Trout's email address.
  * Update watchfile for kde-telepathys inclusion in KDE Applications.
  * New upstream release.
  * Update library package names to match new SONAME.
  * Rename library packages to remove the "private" suffix.
  * Replace old symbols files with new ones for the new SONAME.
  * Update build-dependencies according to cmake rules.
    - Add extra-cmake-modules, qtdeclarative5-dev,
      libkf5coreaddons-dev, libkf5notifcations-dev, kio-dev,
      libkf5widgetsaddons-dev, libkf5kcmutils-dev,
      libkf5notifyconfig-dev, libkf5texteditor-dev, libkf5wallet-dev,
      libkf5config-dev libkf5windowsystem-dev, libkf5iconthemes-dev,
      libaccounts-qt5-dev >= 1.10
      qtdeclarative5-dev, libtelepathy-logger-qt-dev, libkaccounts-dev,
      libsignon-qt5-dev, libkf5kpeople
  * Update date range and add Aleix Pols last name in the copyright file.
  * Change kpeople build dependiency to libkf5people-dev (>= 0.5.0)
  * Change build-depends telepathy-qt and telepathy-logger-qt to qt5
    versions.
  * Update install paths to the new KF5 locations.
    e.g. out of /usr/share/kde4, libraries into multi-arch directories,
    and the new SONAME library filenames.
  * Remove unused blocks KTp/ktp-export.h and po/* from copyright file.
  * Rename liblktpcommoninterals-dev to libktp-dev
  * Rename kde-telepathy-declarative to qml-module-org-kde-telepathy
  * Add kde-telepathy-kaccounts package.
  * Use --fail-missing to make it easier to find not installed files.
  * Rename libktpcommoninternals-dbg to libktp-dbg to match -dev file
  * Use dhmk from pkg-kde-tools to build ktp.
    - Change maintainer to debian-qt-kde
    - Update debian/rules
  * Add breaks/replaces libktpotrprivate9 to help migrate to new name
  * Add KDE's unstable download url to watch file
  * Update symbols files to be compatible with GCC-5
  * Update kde-telepathy-kepople.install to rules track kpeople related plugins
  * Add dh_install --list-missing to make sure everything is installed.
  * Break/Replace libktpotrprivate8.
  * Add patches listed below to deal with various licensing issues.
    These have all been submitted upstream/accepted upstream.
    - 0001-Relicense-invalid-license-to-LGPL-2.1.patch
    - 0002-Relicense-invalid-license-to-LGPL-2.1.patch
    - 0003-Relicense-David-Edmundson-s-code-to-LGPL-2.1-to-matc.patch
    - 0004-Add-GPLv2-COPYING-file-as-there-s-a-few-files-still-.patch
    See:
    https://git.reviewboard.kde.org/r/125780/
    https://git.reviewboard.kde.org/r/125923/
    https://git.reviewboard.kde.org/r/125925/
  * Update copyright file to match the above licensing fixes.

 -- Diane Trout <diane@debian.org>  Fri, 06 Nov 2015 21:27:53 -0800

ktp-common-internals (0.9.0-1) unstable; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release
  * Merge with Debian, no changes
  * Make -dev package depend on libktpotrprivate8
  * kde-telepathy-kpeople breaks/replaces old kde-telepathy-data

  [ Diane Trout ]
  * Pull changes from Kubuntu.
  * Update libktpcommoninternalsprivate7 SONAME to 8
    - libktploggerprivate7 -> libktploggerprivate8
    - libktpmodelsprivate7 -> libktpmodelsprivate8
    - libktpwidgetsprivate7 -> libktpwidgetsprivate8
  * Bump libtelepathy-qt4-dev build-depends to 0.9.5
  * Remove shared-desktop-ontolgies build-dep
  * Bump libkpeople build-dep to 0.3.0
  * Add libotr5-dev and libgcrypt11-dev build-dep to enable OTR support.
  * Add kpeople_chat_plugin.so and associated desktop file to 
    kde-telepathy-kpeople package.
  * Update copyright file.
  * Update description to use better English (Closes: #769362)
    Thanks Filipus Klutiero
  * Update Standards-Version to 3.9.6.0. No changes needed.
  * Update debian/watch file.

 -- Diane Trout <diane@ghic.org>  Sat, 25 Apr 2015 19:30:59 -0700

ktp-common-internals (0.8.1-4) unstable; urgency=medium

  * Make sure telepathy-logger is installed (Closes: #774552)

 -- Diane Trout <diane@ghic.org>  Sun, 11 Jan 2015 21:19:37 -0800

ktp-common-internals (0.8.1-3) unstable; urgency=medium

  * Update kde-telepathy-kpeople description.
  * Fix typo thanks Filipus Klutiero (Closes: #759756)

 -- Diane Trout <diane@ghic.org>  Sun, 02 Nov 2014 11:54:54 -0800

=== debian/control ===
Source: ktp-common-internals
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 9), cmake,
 pkg-kde-tools,
 extra-cmake-modules (>= 0.11),
 qtdeclarative5-dev,
 kdelibs5-dev,
 kdepimlibs5-dev,
 kio-dev,
 libaccounts-qt5-dev (>= 1.10),
 libgcrypt11-dev,
 libotr5-dev,
 libtelepathy-qt5-dev (>= 0.9.5),
 libtelepathy-logger-qt-dev (>= 15.04),
 libtelepathy-logger-dev,
 libkaccounts-dev,
 libkf5config-dev,
 libkf5coreaddons-dev,
 libkf5kcmutils-dev,
 libkf5iconthemes-dev,
 libkf5notifications-dev,
 libkf5notifyconfig-dev,
 libkf5people-dev (>= 0.5.0),
 libkf5texteditor-dev,
 libkf5wallet-dev,
 libkf5widgetsaddons-dev,
 libkf5windowsystem-dev,
 libsignon-qt5-dev,
Standards-Version: 3.9.6
Section: libs
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-common-internals
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-common-internals.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-common-internals.git

Package: libktp-dev
Section: libdevel
Architecture: any
Depends: libktpcommoninternals9 (= ${binary:Version}),
 libktpwidgets9 (= ${binary:Version}),
 libktplogger9 (= ${binary:Version}),
 libktpotr9 (= ${binary:Version}),
 ${misc:Depends}
Breaks: libktpcommoninternalsprivate-dev (<< 15.03.80)
Replaces: libktpcommoninternalsprivate-dev (<< 15.03.80)
Description: KDE Telepathy internal library - Development headers
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This package contains development headers for
 the ktp-common-internals library.
 .
 You should not use this library for developing applications
 outside of the KDE Telepathy project umbrella. This package
 is only provided for compiling the rest of the components.

Package: libktpcommoninternals9
Replaces: libktpcommoninternalsprivate6 (<< 0.7.80)
Breaks: libktpcommoninternalsprivate6 (<< 0.7.80), libktpcommoninternalsprivate7
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libkf5people5 (>= 0.3.0),
 libtelepathy-logger-qt5 (>= 15.04),
 kaccounts-integration (>= 15.04),
 telepathy-accounts-signon
Description: KDE Telepathy common internal library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This contains the generic common components.

Package: libktpmodels9
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE Telepathy data models internal library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes Qt models.

Package: libktpwidgets9
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE Telepathy common internal widgets library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This also includes common widgets like the contact grid.

Package: libktplogger9
Breaks: libktploggerprivate7 (<< 0.8.80~)
Replaces: libktploggerprivate7 (<< 0.8.80~)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, telepathy-logger
Description: KDE Telepathy internal logger library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes the shared KDE-Telepathy logger service.

Package: libktpotr9
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libktpotrprivate8 (<< 15.03)
Replaces: libktpotrprivate8 (<< 15.03)
Description: KDE Telepathy internal OTR library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes components to support OTR

Package: qml-module-org-kde-telepathy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kde-telepathy-declarative (<< 15.03)
Breaks: kde-telepathy-declarative (<< 15.03)
Description: kde-telepathy QtDeclarative QML support
 Contains a plugin for QtDeclarative that provides
 support for using KDE-Telepathy to components written
 in QML.

Package: kde-telepathy-data
Architecture: all
Depends: ${misc:Depends}
Description: Shared data for all the KDE Telepathy components
 This package contains KDE Telepathy shared data.
 .
 These various data files are used by nearly all the different KDE
 Telepathy components, and include files such as icons and
 translations.

Package: libktp-dbg
Architecture: any
Section: debug
Priority: extra
Breaks: libktpcommoninternals-dbg (<< 15.03)
Replaces: libktpcommoninternals-dbg (<< 15.03)
Depends: libktpcommoninternals9 (= ${binary:Version}), ${misc:Depends}
Description: KDE Telepathy internal library - debug symbols
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This package contains debugging symbols for the ktp-common-internals library.

Package: kde-telepathy-kpeople
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: kde-telepathy-data (<< 0.9.0)
Replaces: kde-telepathy-data (<< 0.9.0)
Description: kpeople plugins for kde-telepathy
 This contains plugins to allow kde-telepathy to use kpeople,
 This is necessary for grouping multiple IM accounts into
 meta-contacts.

Package: kde-telepathy-kaccounts
Section: kde
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kaccounts plugins for kde-telepathy
 This links KDE telepathy to kaccounts and vice versa, allowing migrating
 settings from telepathy internal storage to a system-wide shared accounts
 management system.
 .
 This contains plugins to work with kaccounts.

Package: kde-telepathy-debugger
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Debugging tool for KDE Telepathy
 This package contains a GUI debugging tool which can be used to debug
 issues in Telepathy.
 .
 It will show the debugging messages from the various telepathy
 components.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_install:
	dh_install --list-missing

override_dh_strip:
	$(overridden_command) --dbg-package=libktp-dbg

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktp-common-internals-([\d.]+).tar.(?:bz2|xz)
http://download.kde.org/unstable/applications/([\d.]+)/src/ktp-common-internals-([\d.]+).tar.(?:bz2|xz)

## ktp-common-internals 15.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,8 +11,8 @@
 
 # KDE Application Version, managed by release script
 set (KDE_APPLICATIONS_VERSION_MAJOR "15")
-set (KDE_APPLICATIONS_VERSION_MINOR "08")
-set (KDE_APPLICATIONS_VERSION_MICRO "2")
+set (KDE_APPLICATIONS_VERSION_MINOR "12")
+set (KDE_APPLICATIONS_VERSION_MICRO "3")
 
 # Bump for every 0.x release, or whenever BC changes
 set (KTP_SONUMBER 9) # SO 9 is for 15.08 release

=== kpeople/uiplugins/CMakeLists.txt ===
kcoreaddons_add_plugin(imdetailswidgetplugin SOURCES imdetailswidget.cpp JSON "imdetailswidgetplugin.json" INSTALL_NAMESPACE "kpeople/widgets")
target_link_libraries(imdetailswidgetplugin Qt5::Core
    Qt5::Gui
    KF5::PeopleWidgets
    KF5::CoreAddons
    KF5::I18n
    KTp::CommonInternals
)

add_subdirectory(chatplugin)

=== KTp/Logger/plugins/CMakeLists.txt ===
if (TelepathyLoggerQt_FOUND)
    add_subdirectory(tplogger)
endif()

=== kpeople/uiplugins/chatplugin/CMakeLists.txt ===
kcoreaddons_add_plugin(kpeople_chat_plugin SOURCES chatlistviewdelegate.cpp kpeople_chat_plugin.cpp JSON "kpeople_chat_plugin.json" INSTALL_NAMESPACE "kpeople/widgets")
target_link_libraries(kpeople_chat_plugin ${QT_QTCORE_LIBRARY}
    KF5::PeopleWidgets
    KF5::CoreAddons
    KF5::I18n
    KTp::Logger
    KTp::CommonInternals
)

=== debian/changelog ===
ktp-common-internals (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * Bump dependency versions to kaccounts-integration. 
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:09:45 -0700

ktp-common-internals (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * Merged with Debian
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:19:52 +0100

ktp-common-internals (15.12.1-2) experimental; urgency=medium

  * Add missing dependency to the -dev package.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Feb 2016 09:41:54 +0100

ktp-common-internals (15.12.1-1) experimental; urgency=medium

  [ Harald Sitter ]
  * KDE Frameworks 5 port
    + rename lib packages for sobump
    + rename -dev package to libktp-dev to match the cmake config one
      would be looking for. Also it contains more than one library anyway.
    + rename -dbg to libktp-dbg to align with the dev and also because it
      affects more than one lib
      + Add all library packages as possibly depends for the dbg package. Any
        one of them may be neeeded depending on the app one wants to debug.
    + Remove kde-telepathy-kpeople for now as kpeople is not released.
    + Rename kde-telepathy-declarative to qml-module-org-kde-telepathy to
      align with the implicit naming policy for qml modules in Qt5 (no
      conflicts)
    + Update watch file. The source now is released as part of applications.

  [ Scarlett Clark ]
  * This needs libtelepathy-logger-qt5-dev it is a kf5 app.
  * Remove the non existant version dep for above.
  * Try libtelepthy-logger-qt-dev again.
  * OTR requires telepathy-qt5 >= 0.9.5

  [ Diane Trout ]
  * Remove all 4 relicensing patches, applied upstream.

  [ Maximiliano Curia ]
  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:39 +0100

=== debian/control ===
Source: ktp-common-internals
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               doxygen,
               extra-cmake-modules (>= 5~),
               gettext,
               kio-dev (>= 5.11~),
               libaccounts-qt5-dev (>= 1.10~),
               libgcrypt20-dev,
               libkaccounts-dev (>= 4:15.12.2),
               libkf5config-dev (>= 5.11~),
               libkf5coreaddons-dev (>= 5.11~),
               libkf5iconthemes-dev (>= 5.11~),
               libkf5kcmutils-dev (>= 5.11~),
               libkf5notifications-dev (>= 5.11~),
               libkf5notifyconfig-dev (>= 5.11~),
               libkf5people-dev (>= 5.11~),
               libkf5texteditor-dev (>= 5.11~),
               libkf5wallet-dev (>= 5.11~),
               libkf5widgetsaddons-dev (>= 5.11~),
               libkf5windowsystem-dev (>= 5.11~),
               libotr5-dev (>= 4.0.0~),
               libsignon-qt5-dev,
               libtelepathy-logger-qt-dev (>= 15.04),
               libtelepathy-qt5-dev (>= 0.9.5),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-common-internals
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/ktp-common-internals.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/ktp-common-internals.git

Package: libktp-dev
Section: libdevel
Architecture: any
Depends: libktpcommoninternals9 (= ${binary:Version}),
         libktplogger9 (= ${binary:Version}),
         libktpotr9 (= ${binary:Version}),
         libktpwidgets9 (= ${binary:Version}),
         libktpmodels9 (= ${binary:Version}),
         libtelepathy-logger-qt-dev (>= 15.04),
         ${misc:Depends}
Breaks: libktpcommoninternalsprivate-dev (<< 15.03.80)
Replaces: libktpcommoninternalsprivate-dev (<< 15.03.80)
Description: KDE Telepathy internal library - Development headers
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This package contains development headers for
 the ktp-common-internals library.
 .
 You should not use this library for developing applications
 outside of the KDE Telepathy project umbrella. This package
 is only provided for compiling the rest of the components.

Package: libktpcommoninternals9
Architecture: any
Depends: kaccounts-integration (>= 4:15.12.2),
         libkf5people5 (>= 0.3.0),
         libtelepathy-logger-qt5 (>= 15.04),
         telepathy-accounts-signon,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kde-telepathy-kaccounts (= ${binary:Version}),
            kde-telepathy-kpeople (= ${binary:Version})
Replaces: libktpcommoninternalsprivate6 (<< 0.7.80)
Breaks: libktpcommoninternalsprivate6 (<< 0.7.80)
Description: KDE Telepathy common internal library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This contains the generic common components.

Package: libktpmodels9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy data models internal library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes Qt models.

Package: libktpwidgets9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy common internal widgets library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This also includes common widgets like the contact grid.

Package: libktplogger9
Architecture: any
Breaks: libktploggerprivate7 (<< 0.8.80~)
Replaces: libktploggerprivate7 (<< 0.8.80~)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy internal logger library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes the shared KDE-Telepathy logger service.

Package: libktpotr9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libktpotrprivate8 (<< 15.03)
Replaces: libktpotrprivate8 (<< 15.03)
Description: KDE Telepathy internal OTR library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes components to support OTR

Package: qml-module-org-kde-telepathy
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kde-telepathy-declarative (<< 15.03)
Breaks: kde-telepathy-declarative (<< 15.03)
Description: kde-telepathy QtDeclarative QML support
 Contains a plugin for QtDeclarative that provides
 support for using KDE-Telepathy to components written
 in QML.

Package: kde-telepathy-data
Section: kde
Architecture: all
Depends: ${misc:Depends}
Description: Shared data for all the KDE Telepathy components
 This package contains KDE Telepathy shared data.
 .
 These various data files are used by nearly all the different KDE
 Telepathy components, and include files such as icons and
 translations.

Package: kde-telepathy-kpeople
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kde-telepathy-data (<< 0.9.0)
Replaces: kde-telepathy-data (<< 0.9.0)
Description: kpeople plugins for kde-telepathy
 This contains plugins to allow kde-telepathy to use kpeople,
 This is necessary for grouping multiple IM accounts into
 meta-contacts.

Package: kde-telepathy-kaccounts
Section: kde
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kaccounts plugins for kde-telepathy
 This links KDE telepathy to kaccounts and vice versa, allowing migrating
 settings from telepathy internal storage to a system-wide shared accounts
 management system.
 .
 This contains plugins to work with kaccounts.

Package: kde-telepathy-debugger
Priority: extra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Debugging tool for KDE Telepathy
 This package contains a GUI debugging tool which can be used to debug
 issues in Telepathy.
 .
 It will show the debugging messages from the various telepathy
 components.

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 	dh_install --list-missing
 
 override_dh_strip:
-	$(overridden_command) --dbg-package=libktp-dbg
+	$(overridden_command) --ddeb-migration='libktp-dbg (<= 15.12.1-1~~)'

## ktp-common-internals 16.04.3

=== debian/changelog ===
ktp-common-internals (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Remove cruft from repo. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * BUmp SO version install files. 
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)
  * Bumping build deps

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:31:42 +0200

ktp-common-internals (15.12.2-1~) UNRELEASED; urgency=medium

  * New upstream release (15.12.2).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 09:56:53 +0100

=== debian/control ===
--- 
+++ 
@@ -8,43 +8,43 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                doxygen,
-               extra-cmake-modules (>= 5~),
+               extra-cmake-modules (>= 5.24.0~),
                gettext,
-               kio-dev (>= 5.11~),
+               kio-dev (>= 5.24.0~),
                libaccounts-qt5-dev (>= 1.10~),
                libgcrypt20-dev,
-               libkaccounts-dev (>= 4:15.12.2),
-               libkf5config-dev (>= 5.11~),
-               libkf5coreaddons-dev (>= 5.11~),
-               libkf5iconthemes-dev (>= 5.11~),
-               libkf5kcmutils-dev (>= 5.11~),
-               libkf5notifications-dev (>= 5.11~),
-               libkf5notifyconfig-dev (>= 5.11~),
-               libkf5people-dev (>= 5.11~),
-               libkf5texteditor-dev (>= 5.11~),
-               libkf5wallet-dev (>= 5.11~),
-               libkf5widgetsaddons-dev (>= 5.11~),
-               libkf5windowsystem-dev (>= 5.11~),
+               libkaccounts-dev (>= 4:16.04.3~),
+               libkf5config-dev (>= 5.24.0~),
+               libkf5coreaddons-dev (>= 5.24.0~),
+               libkf5iconthemes-dev (>= 5.24.0~),
+               libkf5kcmutils-dev (>= 5.24.0~),
+               libkf5notifications-dev (>= 5.24.0~),
+               libkf5notifyconfig-dev (>= 5.24.0~),
+               libkf5people-dev (>= 5.24.0~),
+               libkf5texteditor-dev (>= 5.24.0~),
+               libkf5wallet-dev (>= 5.24.0~),
+               libkf5widgetsaddons-dev (>= 5.24.0~),
+               libkf5windowsystem-dev (>= 5.24.0~),
                libotr5-dev (>= 4.0.0~),
                libsignon-qt5-dev,
                libtelepathy-logger-qt-dev (>= 15.04),
                libtelepathy-qt5-dev (>= 0.9.5),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.4),
-               qtdeclarative5-dev (>= 5.4)
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-common-internals
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/ktp-common-internals.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/ktp-common-internals.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-common-internals
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-common-internals
 
 Package: libktp-dev
 Section: libdevel
 Architecture: any
 Depends: libktpcommoninternals9 (= ${binary:Version}),
          libktplogger9 (= ${binary:Version}),
+         libktpmodels9 (= ${binary:Version}),
          libktpotr9 (= ${binary:Version}),
          libktpwidgets9 (= ${binary:Version}),
-         libktpmodels9 (= ${binary:Version}),
          libtelepathy-logger-qt-dev (>= 15.04),
          ${misc:Depends}
 Breaks: libktpcommoninternalsprivate-dev (<< 15.03.80)

## ktp-common-internals 16.12.3

=== debian/changelog ===
ktp-common-internals (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:28:45 +0000

ktp-common-internals (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Clive Johnston ]
  * Add runtime dep on telepathy-accounts-signon

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:17:22 +0000

=== debian/control ===
--- 
+++ 
@@ -8,34 +8,35 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                doxygen,
-               extra-cmake-modules (>= 5.24.0~),
+               extra-cmake-modules (>= 5.31.0~),
                gettext,
-               kio-dev (>= 5.24.0~),
                libaccounts-qt5-dev (>= 1.10~),
                libgcrypt20-dev,
-               libkaccounts-dev (>= 4:16.04.3~),
-               libkf5config-dev (>= 5.24.0~),
-               libkf5coreaddons-dev (>= 5.24.0~),
-               libkf5iconthemes-dev (>= 5.24.0~),
-               libkf5kcmutils-dev (>= 5.24.0~),
-               libkf5notifications-dev (>= 5.24.0~),
-               libkf5notifyconfig-dev (>= 5.24.0~),
-               libkf5people-dev (>= 5.24.0~),
-               libkf5texteditor-dev (>= 5.24.0~),
-               libkf5wallet-dev (>= 5.24.0~),
-               libkf5widgetsaddons-dev (>= 5.24.0~),
-               libkf5windowsystem-dev (>= 5.24.0~),
+               libkaccounts-dev (>= 4:16.12.3~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5coreaddons-dev (>= 5.31.0~),
+               libkf5iconthemes-dev (>= 5.31.0~),
+               libkf5kcmutils-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5notifications-dev (>= 5.31.0~),
+               libkf5notifyconfig-dev (>= 5.31.0~),
+               libkf5people-dev (>= 5.31.0~),
+               libkf5texteditor-dev (>= 5.31.0~),
+               libkf5wallet-dev (>= 5.31.0~),
+               libkf5widgetsaddons-dev (>= 5.31.0~),
+               libkf5windowsystem-dev (>= 5.31.0~),
                libotr5-dev (>= 4.0.0~),
                libsignon-qt5-dev,
                libtelepathy-logger-qt-dev (>= 15.04),
                libtelepathy-qt5-dev (>= 0.9.5),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
-               qtdeclarative5-dev (>= 5.6.1~)
+               qtdeclarative5-dev (>= 5.6.1~),
+               telepathy-accounts-signon
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-common-internals
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-common-internals
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-common-internals
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-common-internals
 
 Package: libktp-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 	dh_install --list-missing
 
 override_dh_strip:
-	$(overridden_command) --ddeb-migration='libktp-dbg (<= 15.12.1-1~~)'
+	$(overridden_command) --dbgsym-migration='libktp-dbg (<= 15.12.1-1~~)'

## ktp-common-internals 17.04.3

=== debian/changelog ===
ktp-common-internals (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:32:46 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                gettext,
                libaccounts-qt5-dev (>= 1.10~),
                libgcrypt20-dev,
-               libkaccounts-dev (>= 4:16.12.3~),
+               libkaccounts-dev (>= 4:17.04.3~),
                libkf5config-dev (>= 5.31.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
@@ -64,10 +64,11 @@
 Package: libktpcommoninternals9
 Architecture: any
 Depends: kaccounts-integration (>= 4:15.12.2),
+         kde-telepathy-data (= ${source:Version}),
+         ${misc:Depends},
          libkf5people5 (>= 0.3.0),
          libtelepathy-logger-qt5 (>= 15.04),
          telepathy-accounts-signon,
-         ${misc:Depends},
          ${shlibs:Depends}
 Recommends: kde-telepathy-kaccounts (= ${binary:Version}),
             kde-telepathy-kpeople (= ${binary:Version})
@@ -133,6 +134,8 @@
 Section: kde
 Architecture: all
 Depends: ${misc:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: Shared data for all the KDE Telepathy components
  This package contains KDE Telepathy shared data.
  .
@@ -165,6 +168,8 @@
 Priority: extra
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: Debugging tool for KDE Telepathy
  This package contains a GUI debugging tool which can be used to debug
  issues in Telepathy.
